# Template Message - Text

## Send WhatsApp Message API

<mark style="color:green;">`POST`</mark> `http://api.koreroplatforms.com/v1/whatsapp/send`

This endpoint allows you to send a template message with just plain text to the recipient

#### Headers

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| api\_key | string | API Key     |

#### Request Body

| Name            | Type   | Description                                                                        |
| --------------- | ------ | ---------------------------------------------------------------------------------- |
| from            | string | The WhatsApp number associated with the WABA account                               |
| to              | string | Recipient Mobile Number                                                            |
| type            | string | pass value as 'template'                                                           |
| template        | object | The object to provide the template and user-specific information                   |
| template\_id    | string | The template ID provided on the Korero platform                                    |
| body            | object | The object to pass personalized information                                        |
| type            | string | pass value as 'text'                                                               |
| personalization | array  | An array of personalized value that will replace the variables within the template |

{% tabs %}
{% tab title="200 " %}

```
{
    "timestamp": "2021-05-19T11:01:22.0Z",
    "status": "success",
    "request_id": "5ef1eda4-9cd1-42d2-bf3f-4661e4e6f7bc",
    "recipients": [
        {
            "to": "919699112120",
            "message_id": "WA162140228225012"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Sample Request Body

```
{
    "from": "919311815518",
    "to": "919699112120",
    "type": "template",
    "template": {
        "template_id":"1506407",
        "body":{
            "type":"text",
            "personalization":["Nitin"]
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.koreroplatforms.io/channel-api/whatsapp-api/push-transactional-notification-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
